function dataHandler(val, oldVal) {
  console.log('handler called...');

  if (!oldVal) {
    this.renderChart(this.chartData, this.options);
  } else {
    if (!this._updatingChart) {
      this._updatingChart = true;
      console.log('updating...');

      this.$data._chart.update();

      this._updatingChart = false;
    }
  }
}

export var reactiveData = {
  data: function data() {
    return {
      _updatingChart: false,
      chartData: null
    };
  },
  watch: {
    'chartData': {
      handler: dataHandler,
      deep: true
    }
  }
};
export var reactiveProp = {
  data: function data() {
    return {
      _updatingChart: false
    };
  },
  props: {
    chartData: {
      required: true
    }
  },
  watch: {
    'chartData': {
      handler: dataHandler,
      deep: true
    }
  }
};
export default {
  reactiveData: reactiveData,
  reactiveProp: reactiveProp
};